Your best friend for file transfer.

Fetch application logoFetch

can't open download (12 posts)

  • Started 9 years ago by jtf6agent
  • Latest reply 9 years ago from Scott McGuire
  • jtf6agent Member

    I downloaded a copy of fretch and cant seem to open it. I get a message asking what program I wan't to use to open the program. Any help would be greatly appreciated. My editor uses this program and would like to be able to do the same. Thank you

    NM

    Posted 9 years ago #

  • Scott McGuire Administrator

    The Fetch 5 download is a standard Mac OS X disk image file, and should open without asking you what program to use.

    To help us figure out what's going on, could you please tell us which version of Mac OS you're using, and which version of Fetch you downloaded?

    Thanks,

    Scott McGuire
    Fetch Softworks

    Posted 9 years ago #

  • kaubreylarcinese Member

    I used Fetch 3 a while back, but never registered it. I needed to re-install Fetch 4 (I have OS 8.1), but when I downloaded the file, it wouldn't open. The first error says, "The archive Fetch 4.sit has been corrupted or may not be a valid archive. Do you wish to continue working with it?" If I click no, it just quits (duh). But if I click Yes, I get two more errors: Sorry but a disk related error (file locked) has occurred; followed by, This archive is damaged. I know my system is ancient, but please tell me I can still use Fetch!

    Posted 9 years ago #

  • Scott McGuire Administrator

    kaubreylarcinese,

    I have checked and the download archive is not corrupt.

    Could you please download the Fetch 4.0.3 archive again, and see if you still the error messages?

    Thanks,

    Scott McGuire
    Fetch Softworks

    Posted 9 years ago #

  • guest Registered Member

    If the downloaded archive still gives problems, maybe the archive is a Stuffit format that your version of Stuffit Expander cannot open? You still use System 8.1, which version of Stuffit Expander do you use? You probably need at least version 5.5.

    Posted 9 years ago #

  • kaubreylarcinese Member

    I just downloaded Stuffit Expander 5.5 and successfully installed Fetch 4.0.3. I never would have thought about the expander being out-of-date! Thanks!

    Posted 9 years ago #

  • seamoll Member

    I'm not able to do anything with the download either - i'm on a mac running system 9.2 and using stuffit 6.0, getting an error message about the file being corrupted or not a valid archive. i'd be happy to pay for fetch if i can get it to download and work, but this isn't promising.
    thanks, carol

    Originally posted by ScottMcGuire:

    The Fetch 5 download is a standard Mac OS X disk image file, and should open without asking you what program to use.

    To help us figure out what's going on, could you please tell us which version of Mac OS you're using, and which version of Fetch you downloaded?

    Thanks,

    Scott McGuire
    Fetch Softworks

    Posted 9 years ago #

  • Jim Matthews Administrator

    Carol:

    You might try downloading another copy (there are multiple download links at http://fetchsoftworks.com/download4.html). If that does not work I would try installing a newer StuffIt Expander, from http://www.stuffit.com.

    Thanks,

    Jim Matthews
    Fetch Softworks

    [This message has been edited by JimMatthews (edited 06-27-2005).]

    Posted 9 years ago #

  • seamoll Member

    I've re-tried downloading a bunch of times and am now using Stuffit Expander 7.0.3, which consistently starts unstuffing, then reports:
    the archive may contain damaged content.

    Posted 9 years ago #

  • OldMacUser Member

    Unable to open downloaded file Fetch4.sit. I have Stuffit Expander 4.0 or 4.5 on a PowerMac running OS 7.x-8.1. I was unable to find a download of Expander 5.x, only newest version that won't run on System 7.x/8. Questions: 1) Would you please provide Fetch4 as a self-extracting file instead of the sit file of an unidentified version? 2) If Expander 5.x is no longer available from Aladdin, can anybody help me obtain a copy of the Expander 5.x installer? If someone wishes to reply offline mterra4_@_gmail_._com (please remove the underscores first) Thanks in advance - M

    [This message has been edited by OldMacUser (edited 07-02-2005).]

    Posted 9 years ago #

  • OldMacUser Member

    OK please disregard that last post - I was mistaken: Aladdin really does still offer v5.5. (It seems you have to complete the request for a trial download before they display all the previous versions available). And v5.5 unlike v4.5 successfuly opened the Fetch4 download.

    [This message has been edited by OldMacUser (edited 07-02-2005).]

    Posted 9 years ago #

  • Scott McGuire Administrator

    We have replaced the previous Fetch 4.0.3 archive with a new one that is compressed with a pre-5.0 version of Stuffit, so now it should decompress properly with Stuffit 4.5 or later.

    If you have not been able to successfully unstuff the archive previously, please try downloading this new archive and let us know if this fixes it.

    Thanks,

    Scott McGuire
    Fetch Softworks

    [This message has been edited by ScottMcGuire (edited 07-07-2005).]

    Posted 9 years ago #

Reply

  • Or nickname, if you prefer.
  • This will be kept confidential.
  • This is to ensure that you’re a person, not a spambot.